## cegui-mk2 0.8.7%2Bgit20220615

=== samples/Demo6/CMakeLists.txt ===
option(CEGUI_SAMPLES_ENABLE_DEMO6 "Specifies whether this sample should be built or not" TRUE)
if(CEGUI_SAMPLES_ENABLE_DEMO6)
    cegui_add_sample(CEGUIDemo6)
endif()
