=== samples/TabControlDemo/CMakeLists.txt ===
option(CEGUI_SAMPLES_ENABLE_TABCONTROL_DEMO "Specifies whether this sample should be built or not" TRUE)
if(CEGUI_SAMPLES_ENABLE_TABCONTROL_DEMO)
    cegui_add_sample(CEGUITabControlDemo)
endif()
