=== cegui/src/ImageCodecModules/SDL2/CMakeLists.txt ===
set( CEGUI_TARGET_NAME ${CEGUI_SDL2_IMAGECODEC_LIBNAME} )

cegui_gather_files()
cegui_add_loadable_module(${CEGUI_TARGET_NAME} CORE_SOURCE_FILES CORE_HEADER_FILES)
cegui_add_dependency(${CEGUI_TARGET_NAME} SDL2 PRIVATE TRUE)
cegui_add_dependency(${CEGUI_TARGET_NAME} SDL2IMAGE PRIVATE TRUE)

cegui_target_link_libraries(${CEGUI_TARGET_NAME} ${CEGUI_BASE_LIBNAME})
