=== cegui/src/RendererModules/Ogre/CMakeLists.txt ===
set (CEGUI_TARGET_NAME ${CEGUI_OGRE_RENDERER_LIBNAME})

# this prevents the boost auto-link dis-feature
add_definitions(-DBOOST_ALL_NO_LIB)

cegui_gather_files()
cegui_add_library(${CEGUI_TARGET_NAME} CORE_SOURCE_FILES CORE_HEADER_FILES)
cegui_add_dependency(${CEGUI_TARGET_NAME} OGRE PRIVATE TRUE)

cegui_target_link_libraries(${CEGUI_TARGET_NAME} ${CEGUI_BASE_LIBNAME})

if (CEGUI_FOUND_OGRE_VERSION_MAJOR GREATER 0 AND CEGUI_FOUND_OGRE_VERSION_MINOR GREATER 10)
target_compile_features(${CEGUI_TARGET_NAME} PRIVATE cxx_std_11)
endif(CEGUI_FOUND_OGRE_VERSION_MAJOR GREATER 0 AND CEGUI_FOUND_OGRE_VERSION_MINOR GREATER 10)
