=== debian/control ===
Source: cegui-mk2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Olek Wojnar <olek@debian.org>,
 Muammar El Khatib <muammar@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5),
 cmake (>= 3.12.4),
 debhelper-compat (= 13),
 dh-python,
 doxygen,
 graphviz,
 jdupes,
 libboost-dev,
 libboost-python-dev,
 libboost-regex-dev,
 libdevil-dev,
 libexpat1-dev,
 libfreeimage-dev,
 libfreetype-dev,
 libfribidi-dev,
 libgl-dev,
 libglapi-mesa,
 libgles2-mesa-dev,
 libglew-dev,
 libglfw3-dev,
 libglm-dev,
 libglu1-mesa-dev,
 libice-dev,
 libirrlicht-dev,
 libjs-jquery,
 libminizip-dev,
 libogre-1.12-dev,
 libois-dev [linux-any],
 libpcre2-dev,
 libpng-dev,
 librapidxml-dev,
 libsilly-dev,
 libsm-dev,
 libtiff-dev,
 libtinyxml-dev,
 libtolua++5.1-dev (>= 1.0.93),
 libxcursor-dev,
 libxerces-c-dev,
 libxml2-dev,
 libxpm-dev,
 libxxf86vm-dev,
 lua-expat-dev,
 lua5.1,
 mesa-utils-extra,
 pkg-config,
 pyside2-tools,
 python3-dev,
 python3-opengl,
 python3-setuptools,
 pkg-kde-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.cegui.org.uk/
VcS-Browser: https://salsa.debian.org/games-team/cegui-mk2
VcS-Git: https://salsa.debian.org/games-team/cegui-mk2.git

Package: libcegui-mk2-0.8.7t64
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Depends:
 libcegui-mk2-data (= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: python3-libcegui-mk2-0.8.7 (= ${binary:Version})
Breaks: libcegui-mk2-0.8.7 (<< ${source:Version}), libsilly (<< 0.1.0-6.1)
Conflicts: libcegui-mk2-0c2a, libcegui-mk2-0.8.4
Replaces: libcegui-mk2-0.8.7, libcegui-mk2-0c2a, libcegui-mk2-0.8.4
Description: Crazy Eddie's GUI (libraries)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This version of CEGUI natively supports the OpenGL rendering target.

Package: python3-libcegui-mk2-0.8.7
Section: python
Architecture: any
Multi-Arch: same
Depends:
 libcegui-mk2-0.8.7t64 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends},
 ${python3:Depends}
Breaks: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Replaces: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Description: Crazy Eddie's GUI (Python 3 Bindings)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the Python 3 bindings for the CEGUI library.

Package: libcegui-mk2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcegui-mk2-0.8.7t64 (= ${binary:Version}),
 libdevil-dev,
 libfreeimage-dev,
 libfreetype-dev,
 libjpeg-dev,
 liblcms2-dev,
 libmng-dev,
 libpcre2-dev,
 libpng-dev,
 libtiff-dev,
 libxerces-c-dev,
 lua-expat-dev,
 zlib1g-dev | libz-dev,
 ${shlibs:Depends},
 ${misc:Depends},
Suggests: libcegui-mk2-doc (= ${source:Version})
Description: Crazy Eddie's GUI (development files)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the development files for the CEGUI library.

Package: libcegui-mk2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: Crazy Eddie's GUI (documentation)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the documentation for the CEGUI library.

Package: libcegui-mk2-data
Section: graphics
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-cegui (= ${source:Version}),
 fonts-baekmuk,
 fonts-dejavu-core,
 fonts-junicode,
 fonts-jura,
 ${misc:Depends},
Breaks: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Replaces: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Description: Crazy Eddie's GUI (data)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains data files for the CEGUI library.

Package: fonts-cegui
Section: fonts
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Replaces: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Description: Crazy Eddie's GUI (fonts)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains font files for the CEGUI library that are not
 packaged separately.

Package: cegui-mk2-0.8.7
Section: graphics
Architecture: any
Enhances: libcegui-mk2-0.8.7t64 (= ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Replaces: libcegui-mk2-0.8.7t64 (<<0.8.7-3)
Description: Crazy Eddie's GUI (executables)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the executables that support using the CEGUI library.
